Product
Create a product
POST
/
v1
/
products
Create a product
curl --request POST \
--url https://dev.flextell.ai/api/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"name": "<string>",
"product_type_id": 123,
"base_unit_code_id": 123,
"inner_unit_count": 1,
"price": 1,
"is_active": true,
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"base_unit_per_inner": 1,
"critical_stock_level": 1,
"invoice_name": "<string>"
}
'import requests
url = "https://dev.flextell.ai/api/v1/products"
payload = {
"name": "<string>",
"product_type_id": 123,
"base_unit_code_id": 123,
"inner_unit_count": 1,
"price": 1,
"is_active": True,
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"base_unit_per_inner": 1,
"critical_stock_level": 1,
"invoice_name": "<string>"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
product_type_id: 123,
base_unit_code_id: 123,
inner_unit_count: 1,
price: 1,
is_active: true,
barcode: '<string>',
description: '<string>',
product_category_id: 123,
product_brand_id: 123,
base_unit_per_inner: 1,
critical_stock_level: 1,
invoice_name: '<string>'
})
};
fetch('https://dev.flextell.ai/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"tenant_id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"product_type_id": 123,
"base_unit_code_id": 123,
"stock_tracking_mode": "<string>",
"inner_unit_count": 123,
"base_unit_per_inner": 123,
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"import_source": {
"id": 123,
"name": "<string>"
},
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": 123,
"name": "<string>",
"code": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
Product name.
Maximum string length:
255Product type.
Base unit code.
Stock tracking mode.
Available options:
base_unit, inner_unit, direct_unit Inner unit count (units per box or direct units).
Required range:
x >= 0Product price.
Required range:
x >= 0Tax rate (KDV).
Available options:
0, 1, 10, 20 Active status.
Product barcode (unique per tenant).
Maximum string length:
255Product description.
Product category.
Product brand.
Base units per inner unit.
Required range:
x >= 0Critical stock level.
Required range:
x >= 0Invoice name override.
Maximum string length:
255⌘I
Create a product
